FILE(3type)

NAME
FILE - input/output stream

LIBRARY
Standard C library (libc)

SYNOPSIS
#include <stdio.h>

typedef /* ... */  FILE;

DESCRIPTION
An object type used for streams.

STANDARDS
C11, POSIX.1-2008.

HISTORY
C89, POSIX.1-2001.

NOTES
The following header also provides this type: <wchar.h>.

SEE ALSO
fclose(3), flockfile(3), fopen(3), fprintf(3), fread(3), fscanf(3), stdin(3), stdio(3)